Bug 126731 - sorry unimplemented on previously valid code
sorry unimplemented on previously valid code
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2004-06-25 09:41 EDT by Petr Vandrovec
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-30 05:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Vandrovec 2004-06-25 09:41:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
g++ 3.4 produces

sorry, unimplemented: inlining failed in call to `... [with XXX = 
YYY]': function body not available

when templated function has __attribute__((always_inline)).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Attempt to build this sample with g++ 3.4.0. It works with 3.3.x.

template <class VMCP>
static __attribute__((always_inline)) void test(VMCP* arg) {

void fn(class TC* tc) {

Actual Results:  petr-lx:/tmp$ g++ -c x.c
x.c: In function `void fn(TC*)':
x.c:2: sorry, unimplemented: inlining failed in call to 'void test 
(VMCP*) [with VMCP = TC]': function body not available
x.c:6: sorry, unimplemented: called from here

Expected Results:  petr-lx:/tmp$ g++33 -c x.c

Additional info:
Comment 1 Richard Henderson 2004-10-04 18:40:57 EDT
Ug, cgraph vs c++ confusion.  Which is unhelpfully fixed for 4.0 by
rewriting the whole frontend/backend interface.
Comment 2 Jakub Jelinek 2004-10-30 05:52:16 EDT
always_inline attribute should be used with caution and only when
really necessary.  As it is fixed in 4.0, closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.